Bug 29648 - Make KohaTable tables 'default length' and 'default sort' configurable
Summary: Make KohaTable tables 'default length' and 'default sort' configurable
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on: 29530
Blocks: 29723 30633 30747 30336 30938
  Show dependency treegraph
 
Reported: 2021-12-06 19:47 UTC by Katrin Fischer
Modified: 2022-10-14 11:42 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Large patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 29648: Improve existing code (6.22 KB, patch)
2021-12-16 13:47 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Move NumSavedReports to the table settings (8.37 KB, patch)
2021-12-16 13:47 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Add item - broken FIXME (2.30 KB, patch)
2021-12-16 13:47 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Duplicate orders view - no change (1.27 KB, patch)
2021-12-16 13:47 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Order search view - normal (1.99 KB, patch)
2021-12-16 13:47 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Late orders view - normal (1.92 KB, patch)
2021-12-16 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Authorised values view (4.20 KB, patch)
2021-12-16 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Libraries administration view - normale (1.91 KB, patch)
2021-12-16 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Patron categories administration view - normal (2.26 KB, patch)
2021-12-16 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Cities administration view - REST API (5.53 KB, patch)
2021-12-16 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Item types administration view (2.31 KB, patch)
2021-12-16 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Allow tables_settings.default_display_length to be NULL (2.04 KB, patch)
2021-12-16 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: DBIC Schema changes (1.58 KB, patch)
2021-12-16 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Catalogue detail - no default_display_length (4.85 KB, patch)
2021-12-16 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Checkout history - normal no sort (2.10 KB, patch)
2021-12-16 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Cataloguing Z3950 search - no pagination (1.93 KB, patch)
2021-12-16 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Overdue list - normal (1.83 KB, patch)
2021-12-16 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Holds to pull - normal (1.86 KB, patch)
2021-12-16 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Holds ratios - normal but no sort (1.78 KB, patch)
2021-12-16 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Returns - no change (1.52 KB, patch)
2021-12-16 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Holds queue - only sort (1.74 KB, patch)
2021-12-16 13:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Course reserve detail - normal (1.94 KB, patch)
2021-12-16 13:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Course reserve list - normal (1.84 KB, patch)
2021-12-16 13:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: ILL - no change (6.36 KB, patch)
2021-12-16 13:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Patron accounting page - no sort (2.00 KB, patch)
2021-12-16 13:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Holds history - no sort (2.06 KB, patch)
2021-12-16 13:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Patron page (PatronsPerPage) - no change (1.81 KB, patch)
2021-12-16 13:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Payments - normal (1.62 KB, patch)
2021-12-16 13:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Checkout history - no sort (1.78 KB, patch)
2021-12-16 13:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: patron list table - normal (1.80 KB, patch)
2021-12-16 13:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Item lost report - no change (1.67 KB, patch)
2021-12-16 13:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Subscription detail - no change (1.45 KB, patch)
2021-12-16 13:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Notice template - only sort (2.51 KB, patch)
2021-12-16 13:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Upload tool - no sort (1.57 KB, patch)
2021-12-16 13:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Log viewer - no sort (1.98 KB, patch)
2021-12-16 13:50 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Holds history - no sort (2.06 KB, patch)
2022-01-06 13:56 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Notice template - only sort (2.51 KB, patch)
2022-01-06 14:00 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Fix occurrences of GetColumns (14.54 KB, patch)
2022-01-06 14:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Remove default sort order for detail (1.05 KB, patch)
2022-01-12 14:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Upload tool - no sort (1.80 KB, patch)
2022-01-21 09:10 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Fix occurrences of GetColumns (16.07 KB, patch)
2022-01-21 09:10 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Improve existing code (6.26 KB, patch)
2022-01-25 15:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Move NumSavedReports to the table settings (8.41 KB, patch)
2022-01-25 15:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Add item - broken FIXME (2.34 KB, patch)
2022-01-25 15:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Duplicate orders view - no change (1.31 KB, patch)
2022-01-25 15:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Order search view - normal (2.03 KB, patch)
2022-01-25 15:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Late orders view - normal (1.96 KB, patch)
2022-01-25 15:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Authorised values view (4.24 KB, patch)
2022-01-25 15:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Libraries administration view - normale (1.95 KB, patch)
2022-01-25 15:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Patron categories administration view - normal (2.34 KB, patch)
2022-01-25 15:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Cities administration view - REST API (5.58 KB, patch)
2022-01-25 15:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Item types administration view (2.36 KB, patch)
2022-01-25 15:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Allow tables_settings.default_display_length to be NULL (2.08 KB, patch)
2022-01-25 15:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: DBIC Schema changes (1.62 KB, patch)
2022-01-25 15:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Catalogue detail - no default_display_length (4.89 KB, patch)
2022-01-25 15:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Checkout history - normal no sort (2.14 KB, patch)
2022-01-25 15:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Cataloguing Z3950 search - no pagination (1.98 KB, patch)
2022-01-25 15:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Overdue list - normal (1.88 KB, patch)
2022-01-25 15:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Holds to pull - normal (1.90 KB, patch)
2022-01-25 15:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Holds ratios - normal but no sort (1.82 KB, patch)
2022-01-25 15:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Returns - no change (1.57 KB, patch)
2022-01-25 15:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Holds queue - only sort (1.79 KB, patch)
2022-01-25 15:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Course reserve detail - normal (1.98 KB, patch)
2022-01-25 15:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Course reserve list - normal (1.88 KB, patch)
2022-01-25 15:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: ILL - no change (6.41 KB, patch)
2022-01-25 15:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Patron accounting page - no sort (2.05 KB, patch)
2022-01-25 15:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Patron page (PatronsPerPage) - no change (1.86 KB, patch)
2022-01-25 15:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Payments - normal (1.66 KB, patch)
2022-01-25 15:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Checkout history - no sort (1.83 KB, patch)
2022-01-25 15:41 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: patron list table - normal (1.84 KB, patch)
2022-01-25 15:41 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Item lost report - no change (1.72 KB, patch)
2022-01-25 15:41 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Subscription detail - no change (1.50 KB, patch)
2022-01-25 15:41 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Log viewer - no sort (2.03 KB, patch)
2022-01-25 15:41 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Holds history - no sort (2.11 KB, patch)
2022-01-25 15:41 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Notice template - only sort (2.56 KB, patch)
2022-01-25 15:41 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Remove default sort order for detail (1.10 KB, patch)
2022-01-25 15:41 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Upload tool - no sort (1.84 KB, patch)
2022-01-25 15:41 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Fix occurrences of GetColumns (16.09 KB, patch)
2022-01-25 15:41 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29648: Fix occurrences of GetColumns (15.86 KB, patch)
2022-03-15 06:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Returns - no change (1.59 KB, patch)
2022-03-18 10:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Fix occurrences of GetColumns (15.85 KB, patch)
2022-03-18 10:55 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Item types administration view (2.37 KB, patch)
2022-04-06 13:47 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Allow tables_settings.default_display_length to be NULL (2.09 KB, patch)
2022-04-06 13:47 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: DBIC Schema changes (1.62 KB, patch)
2022-04-06 13:47 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Catalogue detail - no default_display_length (4.90 KB, patch)
2022-04-06 13:47 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Checkout history - normal no sort (2.15 KB, patch)
2022-04-06 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Cataloguing Z3950 search - no pagination (1.98 KB, patch)
2022-04-06 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Overdue list - normal (1.88 KB, patch)
2022-04-06 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Holds to pull - normal (1.91 KB, patch)
2022-04-06 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Holds ratios - normal but no sort (1.83 KB, patch)
2022-04-06 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Holds queue - only sort (1.79 KB, patch)
2022-04-06 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Course reserve detail - normal (1.99 KB, patch)
2022-04-06 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Course reserve list - normal (1.89 KB, patch)
2022-04-06 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: ILL - no change (6.41 KB, patch)
2022-04-06 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Patron accounting page - no sort (2.05 KB, patch)
2022-04-06 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Patron page (PatronsPerPage) - no change (1.48 KB, patch)
2022-04-06 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Payments - normal (1.67 KB, patch)
2022-04-06 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Checkout history - no sort (1.83 KB, patch)
2022-04-06 13:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: patron list table - normal (1.85 KB, patch)
2022-04-06 13:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Item lost report - no change (1.72 KB, patch)
2022-04-06 13:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Subscription detail - no change (1.50 KB, patch)
2022-04-06 13:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Log viewer - no sort (2.03 KB, patch)
2022-04-06 13:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Holds history - no sort (2.11 KB, patch)
2022-04-06 13:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Notice template - only sort (2.56 KB, patch)
2022-04-06 13:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Remove default sort order for detail (1.10 KB, patch)
2022-04-06 13:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Upload tool - no sort (1.85 KB, patch)
2022-04-06 13:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Returns - no change (1.59 KB, patch)
2022-04-06 13:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Fix occurrences of GetColumns (14.68 KB, patch)
2022-04-06 13:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Improve existing code (6.53 KB, patch)
2022-04-27 10:47 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Move NumSavedReports to the table settings (8.42 KB, patch)
2022-04-27 10:47 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Add item - broken FIXME (2.35 KB, patch)
2022-04-27 10:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Duplicate orders view - no change (1.32 KB, patch)
2022-04-27 10:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Order search view - normal (2.03 KB, patch)
2022-04-27 10:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Late orders view - normal (1.96 KB, patch)
2022-04-27 10:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Authorised values view (4.18 KB, patch)
2022-04-27 10:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Libraries administration view - normale (1.96 KB, patch)
2022-04-27 10:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Patron categories administration view - normal (2.35 KB, patch)
2022-04-27 10:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Cities administration view - REST API (5.52 KB, patch)
2022-04-27 10:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Item types administration view (2.37 KB, patch)
2022-04-27 10:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Allow tables_settings.default_display_length to be NULL (2.09 KB, patch)
2022-04-27 10:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: DBIC Schema changes (1.62 KB, patch)
2022-04-27 10:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Catalogue detail - no default_display_length (4.90 KB, patch)
2022-04-27 10:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Checkout history - normal no sort (2.15 KB, patch)
2022-04-27 10:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Cataloguing Z3950 search - no pagination (1.98 KB, patch)
2022-04-27 10:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Overdue list - normal (1.88 KB, patch)
2022-04-27 10:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Holds to pull - normal (1.91 KB, patch)
2022-04-27 10:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Holds ratios - normal but no sort (1.83 KB, patch)
2022-04-27 10:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Holds queue - only sort (1.79 KB, patch)
2022-04-27 10:50 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Course reserve detail - normal (1.99 KB, patch)
2022-04-27 10:50 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Course reserve list - normal (1.89 KB, patch)
2022-04-27 10:50 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: ILL - no change (6.41 KB, patch)
2022-04-27 10:50 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Patron accounting page - no sort (2.05 KB, patch)
2022-04-27 10:50 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Patron page (PatronsPerPage) - no change (1.48 KB, patch)
2022-04-27 10:50 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Payments - normal (1.67 KB, patch)
2022-04-27 10:50 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Checkout history - no sort (1.88 KB, patch)
2022-04-27 10:50 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: patron list table - normal (1.85 KB, patch)
2022-04-27 10:50 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Item lost report - no change (1.72 KB, patch)
2022-04-27 10:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Subscription detail - no change (1.50 KB, patch)
2022-04-27 10:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Log viewer - no sort (2.03 KB, patch)
2022-04-27 10:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Holds history - no sort (2.11 KB, patch)
2022-04-27 10:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Notice template - only sort (2.56 KB, patch)
2022-04-27 10:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Remove default sort order for detail (1.10 KB, patch)
2022-04-27 10:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Upload tool - no sort (1.85 KB, patch)
2022-04-27 10:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Returns - no change (1.59 KB, patch)
2022-04-27 10:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Fix occurrences of GetColumns (14.68 KB, patch)
2022-04-27 10:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29648: Improve existing code (6.58 KB, patch)
2022-04-27 16:08 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Move NumSavedReports to the table settings (8.48 KB, patch)
2022-04-27 16:08 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Add item - broken FIXME (2.41 KB, patch)
2022-04-27 16:08 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Duplicate orders view - no change (1.38 KB, patch)
2022-04-27 16:08 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Order search view - normal (2.09 KB, patch)
2022-04-27 16:08 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Late orders view - normal (2.02 KB, patch)
2022-04-27 16:08 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Authorised values view (4.24 KB, patch)
2022-04-27 16:08 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Libraries administration view - normale (2.01 KB, patch)
2022-04-27 16:08 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Patron categories administration view - normal (2.41 KB, patch)
2022-04-27 16:08 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Cities administration view - REST API (5.58 KB, patch)
2022-04-27 16:09 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Item types administration view (2.43 KB, patch)
2022-04-27 16:09 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Allow tables_settings.default_display_length to be NULL (2.15 KB, patch)
2022-04-27 16:09 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: DBIC Schema changes (1.69 KB, patch)
2022-04-27 16:09 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Catalogue detail - no default_display_length (4.95 KB, patch)
2022-04-27 16:09 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Checkout history - normal no sort (2.21 KB, patch)
2022-04-27 16:09 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Cataloguing Z3950 search - no pagination (2.04 KB, patch)
2022-04-27 16:09 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Overdue list - normal (1.94 KB, patch)
2022-04-27 16:09 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Holds to pull - normal (1.97 KB, patch)
2022-04-27 16:10 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Holds ratios - normal but no sort (1.89 KB, patch)
2022-04-27 16:10 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Holds queue - only sort (1.85 KB, patch)
2022-04-27 16:10 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Course reserve detail - normal (2.05 KB, patch)
2022-04-27 16:10 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Course reserve list - normal (1.95 KB, patch)
2022-04-27 16:10 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: ILL - no change (6.47 KB, patch)
2022-04-27 16:10 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Patron accounting page - no sort (2.11 KB, patch)
2022-04-27 16:10 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Patron page (PatronsPerPage) - no change (1.55 KB, patch)
2022-04-27 16:10 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Payments - normal (1.73 KB, patch)
2022-04-27 16:10 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Checkout history - no sort (1.93 KB, patch)
2022-04-27 16:11 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: patron list table - normal (1.91 KB, patch)
2022-04-27 16:11 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Item lost report - no change (1.78 KB, patch)
2022-04-27 16:11 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Subscription detail - no change (1.56 KB, patch)
2022-04-27 16:11 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Log viewer - no sort (2.09 KB, patch)
2022-04-27 16:11 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Holds history - no sort (2.17 KB, patch)
2022-04-27 16:11 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Notice template - only sort (2.62 KB, patch)
2022-04-27 16:11 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Remove default sort order for detail (1.17 KB, patch)
2022-04-27 16:11 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Upload tool - no sort (1.91 KB, patch)
2022-04-27 16:12 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Returns - no change (1.65 KB, patch)
2022-04-27 16:12 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Fix occurrences of GetColumns (14.72 KB, patch)
2022-04-27 16:12 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: (QA follow-up) Minor POD fix (2.03 KB, patch)
2022-04-27 16:12 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29648: Improve existing code (6.64 KB, patch)
2022-04-27 16:36 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Move NumSavedReports to the table settings (8.53 KB, patch)
2022-04-27 16:36 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Add item - broken FIXME (2.46 KB, patch)
2022-04-27 16:36 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Duplicate orders view - no change (1.43 KB, patch)
2022-04-27 16:36 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Order search view - normal (2.15 KB, patch)
2022-04-27 16:37 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Late orders view - normal (2.08 KB, patch)
2022-04-27 16:37 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Authorised values view (4.30 KB, patch)
2022-04-27 16:37 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Libraries administration view - normale (2.07 KB, patch)
2022-04-27 16:37 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Patron categories administration view - normal (2.46 KB, patch)
2022-04-27 16:37 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Cities administration view - REST API (5.63 KB, patch)
2022-04-27 16:37 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Item types administration view (2.49 KB, patch)
2022-04-27 16:37 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Allow tables_settings.default_display_length to be NULL (2.20 KB, patch)
2022-04-27 16:37 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: DBIC Schema changes (1.74 KB, patch)
2022-04-27 16:38 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Catalogue detail - no default_display_length (5.01 KB, patch)
2022-04-27 16:38 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Checkout history - normal no sort (2.26 KB, patch)
2022-04-27 16:38 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Cataloguing Z3950 search - no pagination (2.10 KB, patch)
2022-04-27 16:38 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Overdue list - normal (2.00 KB, patch)
2022-04-27 16:38 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Holds to pull - normal (2.02 KB, patch)
2022-04-27 16:38 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Holds ratios - normal but no sort (1.94 KB, patch)
2022-04-27 16:38 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Holds queue - only sort (1.91 KB, patch)
2022-04-27 16:38 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Course reserve detail - normal (2.10 KB, patch)
2022-04-27 16:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Course reserve list - normal (2.00 KB, patch)
2022-04-27 16:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: ILL - no change (6.53 KB, patch)
2022-04-27 16:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Patron accounting page - no sort (2.17 KB, patch)
2022-04-27 16:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Patron page (PatronsPerPage) - no change (1.60 KB, patch)
2022-04-27 16:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Payments - normal (1.78 KB, patch)
2022-04-27 16:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Checkout history - no sort (1.99 KB, patch)
2022-04-27 16:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: patron list table - normal (1.96 KB, patch)
2022-04-27 16:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Item lost report - no change (1.84 KB, patch)
2022-04-27 16:40 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Subscription detail - no change (1.62 KB, patch)
2022-04-27 16:40 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Log viewer - no sort (2.15 KB, patch)
2022-04-27 16:40 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Holds history - no sort (2.23 KB, patch)
2022-04-27 16:40 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Notice template - only sort (2.68 KB, patch)
2022-04-27 16:40 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Remove default sort order for detail (1.22 KB, patch)
2022-04-27 16:40 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Upload tool - no sort (1.96 KB, patch)
2022-04-27 16:40 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Returns - no change (1.71 KB, patch)
2022-04-27 16:41 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: Fix occurrences of GetColumns (14.78 KB, patch)
2022-04-27 16:41 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: (QA follow-up) Minor POD fix (2.09 KB, patch)
2022-04-27 16:41 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: (QA follow-up) Remove NumSavedReports from .pref file (1.27 KB, patch)
2022-04-27 16:41 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29648: (follow-up) Add missing raw filter (6.70 KB, patch)
2022-04-27 20:34 UTC, Fridolin Somers
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2021-12-06 19:47:20 UTC
Bug 29530 discussed, that the NumSavedReports would be better placed as an option in the table configuration settings.

Using this as a pattern could also then help add this option to more tables.
Comment 1 Jonathan Druart 2021-12-16 13:47:41 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2021-12-16 13:47:46 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2021-12-16 13:47:50 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2021-12-16 13:47:54 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2021-12-16 13:47:58 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2021-12-16 13:48:01 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2021-12-16 13:48:05 UTC Comment hidden (obsolete)
Comment 8 Jonathan Druart 2021-12-16 13:48:09 UTC Comment hidden (obsolete)
Comment 9 Jonathan Druart 2021-12-16 13:48:13 UTC Comment hidden (obsolete)
Comment 10 Jonathan Druart 2021-12-16 13:48:18 UTC Comment hidden (obsolete)
Comment 11 Jonathan Druart 2021-12-16 13:48:22 UTC Comment hidden (obsolete)
Comment 12 Jonathan Druart 2021-12-16 13:48:26 UTC Comment hidden (obsolete)
Comment 13 Jonathan Druart 2021-12-16 13:48:30 UTC Comment hidden (obsolete)
Comment 14 Jonathan Druart 2021-12-16 13:48:34 UTC Comment hidden (obsolete)
Comment 15 Jonathan Druart 2021-12-16 13:48:38 UTC Comment hidden (obsolete)
Comment 16 Jonathan Druart 2021-12-16 13:48:42 UTC Comment hidden (obsolete)
Comment 17 Jonathan Druart 2021-12-16 13:48:46 UTC Comment hidden (obsolete)
Comment 18 Jonathan Druart 2021-12-16 13:48:50 UTC Comment hidden (obsolete)
Comment 19 Jonathan Druart 2021-12-16 13:48:55 UTC Comment hidden (obsolete)
Comment 20 Jonathan Druart 2021-12-16 13:48:58 UTC Comment hidden (obsolete)
Comment 21 Jonathan Druart 2021-12-16 13:49:02 UTC Comment hidden (obsolete)
Comment 22 Jonathan Druart 2021-12-16 13:49:06 UTC Comment hidden (obsolete)
Comment 23 Jonathan Druart 2021-12-16 13:49:10 UTC Comment hidden (obsolete)
Comment 24 Jonathan Druart 2021-12-16 13:49:14 UTC Comment hidden (obsolete)
Comment 25 Jonathan Druart 2021-12-16 13:49:19 UTC Comment hidden (obsolete)
Comment 26 Jonathan Druart 2021-12-16 13:49:23 UTC Comment hidden (obsolete)
Comment 27 Jonathan Druart 2021-12-16 13:49:27 UTC Comment hidden (obsolete)
Comment 28 Jonathan Druart 2021-12-16 13:49:31 UTC Comment hidden (obsolete)
Comment 29 Jonathan Druart 2021-12-16 13:49:35 UTC Comment hidden (obsolete)
Comment 30 Jonathan Druart 2021-12-16 13:49:39 UTC Comment hidden (obsolete)
Comment 31 Jonathan Druart 2021-12-16 13:49:43 UTC Comment hidden (obsolete)
Comment 32 Jonathan Druart 2021-12-16 13:49:47 UTC Comment hidden (obsolete)
Comment 33 Jonathan Druart 2021-12-16 13:49:52 UTC Comment hidden (obsolete)
Comment 34 Jonathan Druart 2021-12-16 13:49:56 UTC Comment hidden (obsolete)
Comment 35 Jonathan Druart 2021-12-16 13:50:00 UTC Comment hidden (obsolete)
Comment 36 Owen Leonard 2022-01-05 13:08:23 UTC
Warning from the QA tool:

 FAIL	C4/Utils/DataTables/TablesSettings.pm
   FAIL	  pod
		*** WARNING:
		=head3 without preceding higher level

		 in file C4/Utils/DataTables/TablesSettings.pm

		*** WARNING:
		=head3 without preceding higher level

		 in file C4/Utils/DataTables/TablesSettings.pm
Comment 37 Owen Leonard 2022-01-05 13:16:22 UTC
This change results in a JS error on the page, 'Uncaught TypeError: can't access property "columns", table_settings is undefined'

--- a/koha-tmpl/intranet-tmpl/prog/en/modules/acqui/duplicate_orders.tt
+++ b/koha-tmpl/intranet-tmpl/prog/en/modules/acqui/duplicate_orders.tt
@@ -328,10 +328,9 @@ Acquisitions › Koha
         var MSG_NO_FUND_SELECTED = _("No fund selected.");
         $(document).ready(function() {
             $('span.hint').hide();
-            var columns_settings;// = [% TablesSettings.GetColumns( 'acqui', 'histsearch', 'histsearcht', 'json' ) | $raw %];
             KohaTable("table_orders", {
                 "bPaginate": false
-            }, columns_settings );
+            });
Comment 38 Owen Leonard 2022-01-05 13:29:13 UTC
(In reply to Owen Leonard from comment #37)
> This change results in a JS error on the page, 'Uncaught TypeError: can't
> access property "columns", table_settings is undefined'

Fixed in a later patch, or a false alarm? I'm going through them in smaller chunks.
Comment 39 Owen Leonard 2022-01-05 18:29:05 UTC
More notes:

- On the bibliographic detail page, the default sort column doesn't work correctly. Why are there so many columns to configure when they don't exist in the table?

- On the overdues page the default sort order and default display length aren't applied.

- Holds to pull: Column configuration doesn't seem to work.

- Holds history: 'Uncaught TypeError: can't access property "filter", table_settings.columns is undefined'

- Notice template: Column configuration doesn't work. Columns selected to be hidden are not hidden.
Comment 40 Jonathan Druart 2022-01-06 13:56:11 UTC Comment hidden (obsolete)
Comment 41 Jonathan Druart 2022-01-06 14:00:41 UTC Comment hidden (obsolete)
Comment 42 Jonathan Druart 2022-01-06 14:01:00 UTC
(In reply to Owen Leonard from comment #39)
> More notes:
> 
> - On the bibliographic detail page, the default sort column doesn't work
> correctly. Why are there so many columns to configure when they don't exist
> in the table?

It seems to work for me, I selected "holdings_holdinbranch" and the table is sorted by "Home library".
The table settings is listing all the columns that can be displayed, but only the non-empty columns are displayed. For instance if none of your items have $u, then the "URL" column won't be displayed.

> - On the overdues page the default sort order and default display length
> aren't applied.

This table has the stateSave flag on. You need to remove the local storage item before trying it.

> - Holds to pull: Column configuration doesn't seem to work.

I have selected 50 and "patron" and it's working for me. Can you detail?

> - Holds history: 'Uncaught TypeError: can't access property "filter",
> table_settings.columns is undefined'

Oops, fixed!

> - Notice template: Column configuration doesn't work. Columns selected to be
> hidden are not hidden.

Fixed!
Comment 43 Jonathan Druart 2022-01-06 14:12:36 UTC Comment hidden (obsolete)
Comment 44 Jonathan Druart 2022-01-12 14:49:37 UTC Comment hidden (obsolete)
Comment 45 Owen Leonard 2022-01-20 17:43:38 UTC
I ran into a few other issues:

* Reservoir search (addbooks.pl) is missing the columns control button
* waitingreserves.pl has a JS error: "holdst_columns_settings is not defined"
* marc_modification_templates columns not hiding according the the configuration, and the columns control button is missing
Comment 46 Jonathan Druart 2022-01-21 09:10:24 UTC Comment hidden (obsolete)
Comment 47 Jonathan Druart 2022-01-21 09:10:40 UTC Comment hidden (obsolete)
Comment 48 Jonathan Druart 2022-01-21 09:11:09 UTC
(In reply to Owen Leonard from comment #45)
> I ran into a few other issues:
> 
> * Reservoir search (addbooks.pl) is missing the columns control button
> * waitingreserves.pl has a JS error: "holdst_columns_settings is not defined"
> * marc_modification_templates columns not hiding according the the
> configuration, and the columns control button is missing

Thanks, Owen. This is now fixed.
Comment 49 Owen Leonard 2022-01-25 15:39:00 UTC
Created attachment 129770 [details] [review]
Bug 29648: Improve existing code

We already have 2 tables that are configurable, on acqui/basket and
reports/orders_by_budget.
This patch is modifying a bit the existing code to transfer the
responsability/logic to the KohaTable constructor instead of the
template that is creating the object.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 50 Owen Leonard 2022-01-25 15:39:05 UTC
Created attachment 129771 [details] [review]
Bug 29648: Move NumSavedReports to the table settings

The syspref NumSavedReports can be moved to the table settings config
Test plan:
1. Set the syspref to a given value
2. updatedatabase # execute the atomic update
3. Go to the table settings page and confirm that the syspref's value
has been retrieved
4. Select a specific colonne for the default sort
5. Go to the report list view and confirm that the "Show X entries" has
the correct selected value and that the table is sorted as you expect.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 51 Owen Leonard 2022-01-25 15:39:09 UTC
Created attachment 129772 [details] [review]
Bug 29648: Add item - broken FIXME

Why don't we have the columns visibility button?

It looks like there is something broken here, why don't we have the
show/hide columns buttons? The code expects it to be displayed.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 52 Owen Leonard 2022-01-25 15:39:13 UTC
Created attachment 129773 [details] [review]
Bug 29648: Duplicate orders view - no change

No change expected here, only removing commented-out code.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 53 Owen Leonard 2022-01-25 15:39:17 UTC
Created attachment 129774 [details] [review]
Bug 29648: Order search view - normal

"normal" means that we are expecting the table to have the 2 options
implemented and working.
You can select "Default display length" and "Default sort order"
in the "table settings" administration view, then go the the view
and confirm that the table has the configured values pre-selected.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 54 Owen Leonard 2022-01-25 15:39:21 UTC
Created attachment 129775 [details] [review]
Bug 29648: Late orders view - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 55 Owen Leonard 2022-01-25 15:39:26 UTC
Created attachment 129776 [details] [review]
Bug 29648: Authorised values view

No change is expected on this view as the table is not part of the table
settings.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 56 Owen Leonard 2022-01-25 15:39:30 UTC
Created attachment 129777 [details] [review]
Bug 29648: Libraries administration view - normale

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 57 Owen Leonard 2022-01-25 15:39:34 UTC
Created attachment 129778 [details] [review]
Bug 29648: Patron categories administration view - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 58 Owen Leonard 2022-01-25 15:39:39 UTC
Created attachment 129779 [details] [review]
Bug 29648: Cities administration view - REST API

Here we need to deal with the other DT config (in datatables.js, not
columns_settings.inc).

Test plan:
Same as "normal"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 59 Owen Leonard 2022-01-25 15:39:44 UTC
Created attachment 129780 [details] [review]
Bug 29648: Item types administration view

Set noItemTypeImages and OpacNoItemTypeImages to "No" and confirm
that the first column (the image) is not displayed. Otherwise test as
"normal"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 60 Owen Leonard 2022-01-25 15:39:49 UTC
Created attachment 129781 [details] [review]
Bug 29648: Allow tables_settings.default_display_length to be NULL

We actually want this value to be NULL. If set to NULL and
default_display_length is not in the yml, then the option will not be
displayed.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 61 Owen Leonard 2022-01-25 15:39:54 UTC
Created attachment 129782 [details] [review]
Bug 29648: DBIC Schema changes

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 62 Owen Leonard 2022-01-25 15:39:58 UTC
Created attachment 129783 [details] [review]
Bug 29648: Catalogue detail - no default_display_length

On the acquisition table the sort option is not available as we don't
offer the ability to selection asc/desc and default to asc.
We cannot offer default_display_length for those tables.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 63 Owen Leonard 2022-01-25 15:40:02 UTC
Created attachment 129784 [details] [review]
Bug 29648: Checkout history - normal no sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 64 Owen Leonard 2022-01-25 15:40:07 UTC
Created attachment 129785 [details] [review]
Bug 29648: Cataloguing Z3950 search - no pagination

Pagination is done server-side

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 65 Owen Leonard 2022-01-25 15:40:12 UTC
Created attachment 129786 [details] [review]
Bug 29648: Overdue list - normal

'stateSave' so need to test on the first try or delete the relevant local storage
entry

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 66 Owen Leonard 2022-01-25 15:40:16 UTC
Created attachment 129787 [details] [review]
Bug 29648: Holds to pull - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 67 Owen Leonard 2022-01-25 15:40:20 UTC
Created attachment 129788 [details] [review]
Bug 29648: Holds ratios - normal but no sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 68 Owen Leonard 2022-01-25 15:40:25 UTC
Created attachment 129789 [details] [review]
Bug 29648: Returns - no change

No change expected here, there is no sort and no paginate possible.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 69 Owen Leonard 2022-01-25 15:40:29 UTC
Created attachment 129790 [details] [review]
Bug 29648: Holds queue - only sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 70 Owen Leonard 2022-01-25 15:40:34 UTC
Created attachment 129791 [details] [review]
Bug 29648: Course reserve detail - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 71 Owen Leonard 2022-01-25 15:40:40 UTC
Created attachment 129792 [details] [review]
Bug 29648: Course reserve list - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 72 Owen Leonard 2022-01-25 15:40:44 UTC
Created attachment 129793 [details] [review]
Bug 29648: ILL - no change

No change expected here for ILL

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 73 Owen Leonard 2022-01-25 15:40:48 UTC
Created attachment 129794 [details] [review]
Bug 29648: Patron accounting page - no sort

because of desc

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 74 Owen Leonard 2022-01-25 15:40:53 UTC
Created attachment 129795 [details] [review]
Bug 29648: Patron page (PatronsPerPage) - no change

PatronsPerPage should be done on a separate bug report, not trivial

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 75 Owen Leonard 2022-01-25 15:40:58 UTC
Created attachment 129796 [details] [review]
Bug 29648: Payments - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 76 Owen Leonard 2022-01-25 15:41:02 UTC
Created attachment 129797 [details] [review]
Bug 29648: Checkout history - no sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 77 Owen Leonard 2022-01-25 15:41:08 UTC
Created attachment 129798 [details] [review]
Bug 29648: patron list table - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 78 Owen Leonard 2022-01-25 15:41:13 UTC
Created attachment 129799 [details] [review]
Bug 29648: Item lost report - no change

hum, there is no sort on this table, so it's displayed like it's coming
from the controller, but perl code does not sort either.
This could be improved and we could make it configurable easily

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 79 Owen Leonard 2022-01-25 15:41:18 UTC
Created attachment 129800 [details] [review]
Bug 29648: Subscription detail - no change

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 80 Owen Leonard 2022-01-25 15:41:22 UTC
Created attachment 129801 [details] [review]
Bug 29648: Log viewer - no sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 81 Owen Leonard 2022-01-25 15:41:27 UTC
Created attachment 129802 [details] [review]
Bug 29648: Holds history - no sort

because of desc

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 82 Owen Leonard 2022-01-25 15:41:31 UTC
Created attachment 129803 [details] [review]
Bug 29648: Notice template - only sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 83 Owen Leonard 2022-01-25 15:41:36 UTC
Created attachment 129804 [details] [review]
Bug 29648: Remove default sort order for detail

On the detail view the number of columns changed, we cannot use the
default sort order here.
It certainly can be done on a different way but I prefer to postpone it
for now and see later.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 84 Owen Leonard 2022-01-25 15:41:40 UTC
Created attachment 129805 [details] [review]
Bug 29648: Upload tool - no sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 85 Owen Leonard 2022-01-25 15:41:46 UTC
Created attachment 129806 [details] [review]
Bug 29648: Fix occurrences of GetColumns

We could add the configuration to these tables as well, but let go first
but the others (read: feeling lazy right now).

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 86 Tomás Cohen Arazi 2022-03-14 18:03:30 UTC
I'm sorry, can you please rebase the last patch?
Comment 87 Jonathan Druart 2022-03-15 06:49:56 UTC
Created attachment 131703 [details] [review]
Bug 29648: Fix occurrences of GetColumns

We could add the configuration to these tables as well, but let go first
but the others (read: feeling lazy right now).

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 88 Jonathan Druart 2022-03-18 10:54:31 UTC
Created attachment 131875 [details] [review]
Bug 29648: Returns - no change

No change expected here, there is no sort and no paginate possible.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 89 Jonathan Druart 2022-03-18 10:55:28 UTC
Created attachment 131876 [details] [review]
Bug 29648: Fix occurrences of GetColumns

We could add the configuration to these tables as well, but let go first
but the others (read: feeling lazy right now).

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 90 Jonathan Druart 2022-04-06 13:47:40 UTC
Created attachment 133001 [details] [review]
Bug 29648: Item types administration view

Set noItemTypeImages and OpacNoItemTypeImages to "No" and confirm
that the first column (the image) is not displayed. Otherwise test as
"normal"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 91 Jonathan Druart 2022-04-06 13:47:46 UTC
Created attachment 133002 [details] [review]
Bug 29648: Allow tables_settings.default_display_length to be NULL

We actually want this value to be NULL. If set to NULL and
default_display_length is not in the yml, then the option will not be
displayed.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 92 Jonathan Druart 2022-04-06 13:47:51 UTC
Created attachment 133003 [details] [review]
Bug 29648: DBIC Schema changes

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 93 Jonathan Druart 2022-04-06 13:47:57 UTC
Created attachment 133004 [details] [review]
Bug 29648: Catalogue detail - no default_display_length

On the acquisition table the sort option is not available as we don't
offer the ability to selection asc/desc and default to asc.
We cannot offer default_display_length for those tables.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 94 Jonathan Druart 2022-04-06 13:48:02 UTC
Created attachment 133005 [details] [review]
Bug 29648: Checkout history - normal no sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 95 Jonathan Druart 2022-04-06 13:48:07 UTC
Created attachment 133006 [details] [review]
Bug 29648: Cataloguing Z3950 search - no pagination

Pagination is done server-side

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 96 Jonathan Druart 2022-04-06 13:48:11 UTC
Created attachment 133007 [details] [review]
Bug 29648: Overdue list - normal

'stateSave' so need to test on the first try or delete the relevant local storage
entry

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 97 Jonathan Druart 2022-04-06 13:48:16 UTC
Created attachment 133008 [details] [review]
Bug 29648: Holds to pull - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 98 Jonathan Druart 2022-04-06 13:48:21 UTC
Created attachment 133009 [details] [review]
Bug 29648: Holds ratios - normal but no sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 99 Jonathan Druart 2022-04-06 13:48:27 UTC
Created attachment 133010 [details] [review]
Bug 29648: Holds queue - only sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 100 Jonathan Druart 2022-04-06 13:48:31 UTC
Created attachment 133011 [details] [review]
Bug 29648: Course reserve detail - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 101 Jonathan Druart 2022-04-06 13:48:36 UTC
Created attachment 133012 [details] [review]
Bug 29648: Course reserve list - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 102 Jonathan Druart 2022-04-06 13:48:41 UTC
Created attachment 133013 [details] [review]
Bug 29648: ILL - no change

No change expected here for ILL

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 103 Jonathan Druart 2022-04-06 13:48:46 UTC
Created attachment 133014 [details] [review]
Bug 29648: Patron accounting page - no sort

because of desc

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 104 Jonathan Druart 2022-04-06 13:48:51 UTC
Created attachment 133015 [details] [review]
Bug 29648: Patron page (PatronsPerPage) - no change

PatronsPerPage should be done on a separate bug report, not trivial

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 105 Jonathan Druart 2022-04-06 13:48:55 UTC
Created attachment 133016 [details] [review]
Bug 29648: Payments - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 106 Jonathan Druart 2022-04-06 13:49:01 UTC
Created attachment 133017 [details] [review]
Bug 29648: Checkout history - no sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 107 Jonathan Druart 2022-04-06 13:49:06 UTC
Created attachment 133018 [details] [review]
Bug 29648: patron list table - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 108 Jonathan Druart 2022-04-06 13:49:11 UTC
Created attachment 133019 [details] [review]
Bug 29648: Item lost report - no change

hum, there is no sort on this table, so it's displayed like it's coming
from the controller, but perl code does not sort either.
This could be improved and we could make it configurable easily

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 109 Jonathan Druart 2022-04-06 13:49:16 UTC
Created attachment 133020 [details] [review]
Bug 29648: Subscription detail - no change

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 110 Jonathan Druart 2022-04-06 13:49:21 UTC
Created attachment 133021 [details] [review]
Bug 29648: Log viewer - no sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 111 Jonathan Druart 2022-04-06 13:49:26 UTC
Created attachment 133022 [details] [review]
Bug 29648: Holds history - no sort

because of desc

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 112 Jonathan Druart 2022-04-06 13:49:32 UTC
Created attachment 133023 [details] [review]
Bug 29648: Notice template - only sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 113 Jonathan Druart 2022-04-06 13:49:37 UTC
Created attachment 133024 [details] [review]
Bug 29648: Remove default sort order for detail

On the detail view the number of columns changed, we cannot use the
default sort order here.
It certainly can be done on a different way but I prefer to postpone it
for now and see later.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 114 Jonathan Druart 2022-04-06 13:49:42 UTC
Created attachment 133025 [details] [review]
Bug 29648: Upload tool - no sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 115 Jonathan Druart 2022-04-06 13:49:47 UTC
Created attachment 133026 [details] [review]
Bug 29648: Returns - no change

No change expected here, there is no sort and no paginate possible.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 116 Jonathan Druart 2022-04-06 13:49:52 UTC
Created attachment 133027 [details] [review]
Bug 29648: Fix occurrences of GetColumns

We could add the configuration to these tables as well, but let go first
but the others (read: feeling lazy right now).

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 117 Jonathan Druart 2022-04-06 13:50:06 UTC
QA please? This is a nightmare to rebase!
Comment 118 Katrin Fischer 2022-04-25 09:33:31 UTC
(In reply to Jonathan Druart from comment #117)
> QA please? This is a nightmare to rebase!

Sorry to be late :(

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 29648: Improve existing code
Using index info to reconstruct a base tree...
M	koha-tmpl/intranet-tmpl/prog/en/includes/columns_settings.inc
M	koha-tmpl/intranet-tmpl/prog/en/modules/acqui/basket.tt
M	koha-tmpl/intranet-tmpl/prog/en/modules/reports/orders_by_budget.tt
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/reports/orders_by_budget.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/acqui/basket.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/acqui/basket.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/includes/columns_settings.inc
error: Failed to merge in the changes.
Patch failed at 0001 Bug 29648: Improve existing code

Could you please rebase? I'll try to get back to this ASAP after.
Comment 119 Jonathan Druart 2022-04-27 10:47:51 UTC
Created attachment 134018 [details] [review]
Bug 29648: Improve existing code

We already have 2 tables that are configurable, on acqui/basket and
reports/orders_by_budget.
This patch is modifying a bit the existing code to transfer the
responsability/logic to the KohaTable constructor instead of the
template that is creating the object.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 120 Jonathan Druart 2022-04-27 10:47:58 UTC
Created attachment 134019 [details] [review]
Bug 29648: Move NumSavedReports to the table settings

The syspref NumSavedReports can be moved to the table settings config
Test plan:
1. Set the syspref to a given value
2. updatedatabase # execute the atomic update
3. Go to the table settings page and confirm that the syspref's value
has been retrieved
4. Select a specific colonne for the default sort
5. Go to the report list view and confirm that the "Show X entries" has
the correct selected value and that the table is sorted as you expect.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 121 Jonathan Druart 2022-04-27 10:48:04 UTC
Created attachment 134020 [details] [review]
Bug 29648: Add item - broken FIXME

Why don't we have the columns visibility button?

It looks like there is something broken here, why don't we have the
show/hide columns buttons? The code expects it to be displayed.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 122 Jonathan Druart 2022-04-27 10:48:11 UTC
Created attachment 134021 [details] [review]
Bug 29648: Duplicate orders view - no change

No change expected here, only removing commented-out code.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 123 Jonathan Druart 2022-04-27 10:48:17 UTC
Created attachment 134022 [details] [review]
Bug 29648: Order search view - normal

"normal" means that we are expecting the table to have the 2 options
implemented and working.
You can select "Default display length" and "Default sort order"
in the "table settings" administration view, then go the the view
and confirm that the table has the configured values pre-selected.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 124 Jonathan Druart 2022-04-27 10:48:23 UTC
Created attachment 134023 [details] [review]
Bug 29648: Late orders view - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 125 Jonathan Druart 2022-04-27 10:48:30 UTC
Created attachment 134024 [details] [review]
Bug 29648: Authorised values view

No change is expected on this view as the table is not part of the table
settings.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 126 Jonathan Druart 2022-04-27 10:48:37 UTC
Created attachment 134025 [details] [review]
Bug 29648: Libraries administration view - normale

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 127 Jonathan Druart 2022-04-27 10:48:43 UTC
Created attachment 134026 [details] [review]
Bug 29648: Patron categories administration view - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 128 Jonathan Druart 2022-04-27 10:48:50 UTC
Created attachment 134027 [details] [review]
Bug 29648: Cities administration view - REST API

Here we need to deal with the other DT config (in datatables.js, not
columns_settings.inc).

Test plan:
Same as "normal"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 129 Jonathan Druart 2022-04-27 10:48:57 UTC
Created attachment 134028 [details] [review]
Bug 29648: Item types administration view

Set noItemTypeImages and OpacNoItemTypeImages to "No" and confirm
that the first column (the image) is not displayed. Otherwise test as
"normal"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 130 Jonathan Druart 2022-04-27 10:49:04 UTC
Created attachment 134029 [details] [review]
Bug 29648: Allow tables_settings.default_display_length to be NULL

We actually want this value to be NULL. If set to NULL and
default_display_length is not in the yml, then the option will not be
displayed.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 131 Jonathan Druart 2022-04-27 10:49:10 UTC
Created attachment 134030 [details] [review]
Bug 29648: DBIC Schema changes

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 132 Jonathan Druart 2022-04-27 10:49:17 UTC
Created attachment 134031 [details] [review]
Bug 29648: Catalogue detail - no default_display_length

On the acquisition table the sort option is not available as we don't
offer the ability to selection asc/desc and default to asc.
We cannot offer default_display_length for those tables.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 133 Jonathan Druart 2022-04-27 10:49:23 UTC
Created attachment 134032 [details] [review]
Bug 29648: Checkout history - normal no sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 134 Jonathan Druart 2022-04-27 10:49:30 UTC
Created attachment 134033 [details] [review]
Bug 29648: Cataloguing Z3950 search - no pagination

Pagination is done server-side

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 135 Jonathan Druart 2022-04-27 10:49:39 UTC
Created attachment 134034 [details] [review]
Bug 29648: Overdue list - normal

'stateSave' so need to test on the first try or delete the relevant local storage
entry

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 136 Jonathan Druart 2022-04-27 10:49:46 UTC
Created attachment 134035 [details] [review]
Bug 29648: Holds to pull - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 137 Jonathan Druart 2022-04-27 10:49:53 UTC
Created attachment 134036 [details] [review]
Bug 29648: Holds ratios - normal but no sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 138 Jonathan Druart 2022-04-27 10:50:00 UTC
Created attachment 134037 [details] [review]
Bug 29648: Holds queue - only sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 139 Jonathan Druart 2022-04-27 10:50:08 UTC
Created attachment 134038 [details] [review]
Bug 29648: Course reserve detail - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 140 Jonathan Druart 2022-04-27 10:50:15 UTC
Created attachment 134039 [details] [review]
Bug 29648: Course reserve list - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 141 Jonathan Druart 2022-04-27 10:50:21 UTC
Created attachment 134040 [details] [review]
Bug 29648: ILL - no change

No change expected here for ILL

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 142 Jonathan Druart 2022-04-27 10:50:29 UTC
Created attachment 134041 [details] [review]
Bug 29648: Patron accounting page - no sort

because of desc

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 143 Jonathan Druart 2022-04-27 10:50:35 UTC
Created attachment 134042 [details] [review]
Bug 29648: Patron page (PatronsPerPage) - no change

PatronsPerPage should be done on a separate bug report, not trivial

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 144 Jonathan Druart 2022-04-27 10:50:42 UTC
Created attachment 134043 [details] [review]
Bug 29648: Payments - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 145 Jonathan Druart 2022-04-27 10:50:49 UTC
Created attachment 134044 [details] [review]
Bug 29648: Checkout history - no sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 146 Jonathan Druart 2022-04-27 10:50:55 UTC
Created attachment 134045 [details] [review]
Bug 29648: patron list table - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 147 Jonathan Druart 2022-04-27 10:51:02 UTC
Created attachment 134046 [details] [review]
Bug 29648: Item lost report - no change

hum, there is no sort on this table, so it's displayed like it's coming
from the controller, but perl code does not sort either.
This could be improved and we could make it configurable easily

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 148 Jonathan Druart 2022-04-27 10:51:09 UTC
Created attachment 134047 [details] [review]
Bug 29648: Subscription detail - no change

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 149 Jonathan Druart 2022-04-27 10:51:16 UTC
Created attachment 134048 [details] [review]
Bug 29648: Log viewer - no sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 150 Jonathan Druart 2022-04-27 10:51:22 UTC
Created attachment 134049 [details] [review]
Bug 29648: Holds history - no sort

because of desc

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 151 Jonathan Druart 2022-04-27 10:51:29 UTC
Created attachment 134050 [details] [review]
Bug 29648: Notice template - only sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 152 Jonathan Druart 2022-04-27 10:51:37 UTC
Created attachment 134051 [details] [review]
Bug 29648: Remove default sort order for detail

On the detail view the number of columns changed, we cannot use the
default sort order here.
It certainly can be done on a different way but I prefer to postpone it
for now and see later.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 153 Jonathan Druart 2022-04-27 10:51:43 UTC
Created attachment 134052 [details] [review]
Bug 29648: Upload tool - no sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 154 Jonathan Druart 2022-04-27 10:51:50 UTC
Created attachment 134053 [details] [review]
Bug 29648: Returns - no change

No change expected here, there is no sort and no paginate possible.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 155 Jonathan Druart 2022-04-27 10:51:58 UTC
Created attachment 134054 [details] [review]
Bug 29648: Fix occurrences of GetColumns

We could add the configuration to these tables as well, but let go first
but the others (read: feeling lazy right now).

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 156 Martin Renvoize 2022-04-27 16:08:08 UTC
Created attachment 134086 [details] [review]
Bug 29648: Improve existing code

We already have 2 tables that are configurable, on acqui/basket and
reports/orders_by_budget.
This patch is modifying a bit the existing code to transfer the
responsability/logic to the KohaTable constructor instead of the
template that is creating the object.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 157 Martin Renvoize 2022-04-27 16:08:15 UTC
Created attachment 134087 [details] [review]
Bug 29648: Move NumSavedReports to the table settings

The syspref NumSavedReports can be moved to the table settings config
Test plan:
1. Set the syspref to a given value
2. updatedatabase # execute the atomic update
3. Go to the table settings page and confirm that the syspref's value
has been retrieved
4. Select a specific colonne for the default sort
5. Go to the report list view and confirm that the "Show X entries" has
the correct selected value and that the table is sorted as you expect.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 158 Martin Renvoize 2022-04-27 16:08:21 UTC
Created attachment 134088 [details] [review]
Bug 29648: Add item - broken FIXME

Why don't we have the columns visibility button?

It looks like there is something broken here, why don't we have the
show/hide columns buttons? The code expects it to be displayed.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 159 Martin Renvoize 2022-04-27 16:08:27 UTC
Created attachment 134089 [details] [review]
Bug 29648: Duplicate orders view - no change

No change expected here, only removing commented-out code.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 160 Martin Renvoize 2022-04-27 16:08:34 UTC
Created attachment 134090 [details] [review]
Bug 29648: Order search view - normal

"normal" means that we are expecting the table to have the 2 options
implemented and working.
You can select "Default display length" and "Default sort order"
in the "table settings" administration view, then go the the view
and confirm that the table has the configured values pre-selected.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 161 Martin Renvoize 2022-04-27 16:08:40 UTC
Created attachment 134091 [details] [review]
Bug 29648: Late orders view - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 162 Martin Renvoize 2022-04-27 16:08:45 UTC
Created attachment 134092 [details] [review]
Bug 29648: Authorised values view

No change is expected on this view as the table is not part of the table
settings.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 163 Martin Renvoize 2022-04-27 16:08:52 UTC
Created attachment 134093 [details] [review]
Bug 29648: Libraries administration view - normale

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 164 Martin Renvoize 2022-04-27 16:08:58 UTC
Created attachment 134094 [details] [review]
Bug 29648: Patron categories administration view - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 165 Martin Renvoize 2022-04-27 16:09:05 UTC
Created attachment 134095 [details] [review]
Bug 29648: Cities administration view - REST API

Here we need to deal with the other DT config (in datatables.js, not
columns_settings.inc).

Test plan:
Same as "normal"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 166 Martin Renvoize 2022-04-27 16:09:12 UTC
Created attachment 134096 [details] [review]
Bug 29648: Item types administration view

Set noItemTypeImages and OpacNoItemTypeImages to "No" and confirm
that the first column (the image) is not displayed. Otherwise test as
"normal"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 167 Martin Renvoize 2022-04-27 16:09:18 UTC
Created attachment 134097 [details] [review]
Bug 29648: Allow tables_settings.default_display_length to be NULL

We actually want this value to be NULL. If set to NULL and
default_display_length is not in the yml, then the option will not be
displayed.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 168 Martin Renvoize 2022-04-27 16:09:26 UTC
Created attachment 134098 [details] [review]
Bug 29648: DBIC Schema changes

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 169 Martin Renvoize 2022-04-27 16:09:32 UTC
Created attachment 134099 [details] [review]
Bug 29648: Catalogue detail - no default_display_length

On the acquisition table the sort option is not available as we don't
offer the ability to selection asc/desc and default to asc.
We cannot offer default_display_length for those tables.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 170 Martin Renvoize 2022-04-27 16:09:41 UTC
Created attachment 134100 [details] [review]
Bug 29648: Checkout history - normal no sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 171 Martin Renvoize 2022-04-27 16:09:48 UTC
Created attachment 134101 [details] [review]
Bug 29648: Cataloguing Z3950 search - no pagination

Pagination is done server-side

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 172 Martin Renvoize 2022-04-27 16:09:54 UTC
Created attachment 134102 [details] [review]
Bug 29648: Overdue list - normal

'stateSave' so need to test on the first try or delete the relevant local storage
entry

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 173 Martin Renvoize 2022-04-27 16:10:01 UTC
Created attachment 134103 [details] [review]
Bug 29648: Holds to pull - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 174 Martin Renvoize 2022-04-27 16:10:09 UTC
Created attachment 134104 [details] [review]
Bug 29648: Holds ratios - normal but no sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 175 Martin Renvoize 2022-04-27 16:10:16 UTC
Created attachment 134105 [details] [review]
Bug 29648: Holds queue - only sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 176 Martin Renvoize 2022-04-27 16:10:23 UTC
Created attachment 134106 [details] [review]
Bug 29648: Course reserve detail - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 177 Martin Renvoize 2022-04-27 16:10:30 UTC
Created attachment 134107 [details] [review]
Bug 29648: Course reserve list - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 178 Martin Renvoize 2022-04-27 16:10:36 UTC
Created attachment 134108 [details] [review]
Bug 29648: ILL - no change

No change expected here for ILL

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 179 Martin Renvoize 2022-04-27 16:10:41 UTC
Created attachment 134109 [details] [review]
Bug 29648: Patron accounting page - no sort

because of desc

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 180 Martin Renvoize 2022-04-27 16:10:48 UTC
Created attachment 134110 [details] [review]
Bug 29648: Patron page (PatronsPerPage) - no change

PatronsPerPage should be done on a separate bug report, not trivial

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 181 Martin Renvoize 2022-04-27 16:10:55 UTC
Created attachment 134111 [details] [review]
Bug 29648: Payments - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 182 Martin Renvoize 2022-04-27 16:11:01 UTC
Created attachment 134112 [details] [review]
Bug 29648: Checkout history - no sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 183 Martin Renvoize 2022-04-27 16:11:08 UTC
Created attachment 134113 [details] [review]
Bug 29648: patron list table - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 184 Martin Renvoize 2022-04-27 16:11:16 UTC
Created attachment 134114 [details] [review]
Bug 29648: Item lost report - no change

hum, there is no sort on this table, so it's displayed like it's coming
from the controller, but perl code does not sort either.
This could be improved and we could make it configurable easily

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 185 Martin Renvoize 2022-04-27 16:11:24 UTC
Created attachment 134115 [details] [review]
Bug 29648: Subscription detail - no change

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 186 Martin Renvoize 2022-04-27 16:11:33 UTC
Created attachment 134116 [details] [review]
Bug 29648: Log viewer - no sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 187 Martin Renvoize 2022-04-27 16:11:39 UTC
Created attachment 134117 [details] [review]
Bug 29648: Holds history - no sort

because of desc

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 188 Martin Renvoize 2022-04-27 16:11:46 UTC
Created attachment 134118 [details] [review]
Bug 29648: Notice template - only sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 189 Martin Renvoize 2022-04-27 16:11:53 UTC
Created attachment 134119 [details] [review]
Bug 29648: Remove default sort order for detail

On the detail view the number of columns changed, we cannot use the
default sort order here.
It certainly can be done on a different way but I prefer to postpone it
for now and see later.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 190 Martin Renvoize 2022-04-27 16:12:00 UTC
Created attachment 134120 [details] [review]
Bug 29648: Upload tool - no sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 191 Martin Renvoize 2022-04-27 16:12:06 UTC
Created attachment 134121 [details] [review]
Bug 29648: Returns - no change

No change expected here, there is no sort and no paginate possible.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 192 Martin Renvoize 2022-04-27 16:12:13 UTC
Created attachment 134122 [details] [review]
Bug 29648: Fix occurrences of GetColumns

We could add the configuration to these tables as well, but let go first
but the others (read: feeling lazy right now).

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 193 Martin Renvoize 2022-04-27 16:12:19 UTC
Created attachment 134123 [details] [review]
Bug 29648: (QA follow-up) Minor POD fix

This just adds a top level set of POD headings to make the QA script
happy

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 194 Martin Renvoize 2022-04-27 16:15:50 UTC
Looks great to me. Added a small follow-up to keep the QA script happy.

Katrin and I overlapped again so I've uploaded my SO and will leave her to set the final PQA :)
Comment 195 Katrin Fischer 2022-04-27 16:35:27 UTC
I'd say it was teamwork on this one, providing another follow-up. 
I like to see this getting more flexible and hope we can implement the options for a lot more tables.

At some point I'd love to see a primary and secondary sort. For example we get a lot of requests for the OPAC item table to sort by different criteria. One could imagine something like: homebranch, itemtype.
Comment 196 Katrin Fischer 2022-04-27 16:36:34 UTC
Created attachment 134133 [details] [review]
Bug 29648: Improve existing code

We already have 2 tables that are configurable, on acqui/basket and
reports/orders_by_budget.
This patch is modifying a bit the existing code to transfer the
responsability/logic to the KohaTable constructor instead of the
template that is creating the object.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 197 Katrin Fischer 2022-04-27 16:36:41 UTC
Created attachment 134134 [details] [review]
Bug 29648: Move NumSavedReports to the table settings

The syspref NumSavedReports can be moved to the table settings config
Test plan:
1. Set the syspref to a given value
2. updatedatabase # execute the atomic update
3. Go to the table settings page and confirm that the syspref's value
has been retrieved
4. Select a specific colonne for the default sort
5. Go to the report list view and confirm that the "Show X entries" has
the correct selected value and that the table is sorted as you expect.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 198 Katrin Fischer 2022-04-27 16:36:49 UTC
Created attachment 134135 [details] [review]
Bug 29648: Add item - broken FIXME

Why don't we have the columns visibility button?

It looks like there is something broken here, why don't we have the
show/hide columns buttons? The code expects it to be displayed.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 199 Katrin Fischer 2022-04-27 16:36:56 UTC
Created attachment 134136 [details] [review]
Bug 29648: Duplicate orders view - no change

No change expected here, only removing commented-out code.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 200 Katrin Fischer 2022-04-27 16:37:03 UTC
Created attachment 134137 [details] [review]
Bug 29648: Order search view - normal

"normal" means that we are expecting the table to have the 2 options
implemented and working.
You can select "Default display length" and "Default sort order"
in the "table settings" administration view, then go the the view
and confirm that the table has the configured values pre-selected.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 201 Katrin Fischer 2022-04-27 16:37:10 UTC
Created attachment 134138 [details] [review]
Bug 29648: Late orders view - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 202 Katrin Fischer 2022-04-27 16:37:17 UTC
Created attachment 134139 [details] [review]
Bug 29648: Authorised values view

No change is expected on this view as the table is not part of the table
settings.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 203 Katrin Fischer 2022-04-27 16:37:24 UTC
Created attachment 134140 [details] [review]
Bug 29648: Libraries administration view - normale

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 204 Katrin Fischer 2022-04-27 16:37:31 UTC
Created attachment 134141 [details] [review]
Bug 29648: Patron categories administration view - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 205 Katrin Fischer 2022-04-27 16:37:39 UTC
Created attachment 134142 [details] [review]
Bug 29648: Cities administration view - REST API

Here we need to deal with the other DT config (in datatables.js, not
columns_settings.inc).

Test plan:
Same as "normal"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 206 Katrin Fischer 2022-04-27 16:37:47 UTC
Created attachment 134143 [details] [review]
Bug 29648: Item types administration view

Set noItemTypeImages and OpacNoItemTypeImages to "No" and confirm
that the first column (the image) is not displayed. Otherwise test as
"normal"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 207 Katrin Fischer 2022-04-27 16:37:54 UTC
Created attachment 134144 [details] [review]
Bug 29648: Allow tables_settings.default_display_length to be NULL

We actually want this value to be NULL. If set to NULL and
default_display_length is not in the yml, then the option will not be
displayed.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 208 Katrin Fischer 2022-04-27 16:38:02 UTC
Created attachment 134145 [details] [review]
Bug 29648: DBIC Schema changes

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 209 Katrin Fischer 2022-04-27 16:38:10 UTC
Created attachment 134146 [details] [review]
Bug 29648: Catalogue detail - no default_display_length

On the acquisition table the sort option is not available as we don't
offer the ability to selection asc/desc and default to asc.
We cannot offer default_display_length for those tables.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 210 Katrin Fischer 2022-04-27 16:38:18 UTC
Created attachment 134147 [details] [review]
Bug 29648: Checkout history - normal no sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 211 Katrin Fischer 2022-04-27 16:38:26 UTC
Created attachment 134148 [details] [review]
Bug 29648: Cataloguing Z3950 search - no pagination

Pagination is done server-side

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 212 Katrin Fischer 2022-04-27 16:38:33 UTC
Created attachment 134149 [details] [review]
Bug 29648: Overdue list - normal

'stateSave' so need to test on the first try or delete the relevant local storage
entry

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 213 Katrin Fischer 2022-04-27 16:38:41 UTC
Created attachment 134150 [details] [review]
Bug 29648: Holds to pull - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 214 Katrin Fischer 2022-04-27 16:38:49 UTC
Created attachment 134151 [details] [review]
Bug 29648: Holds ratios - normal but no sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 215 Katrin Fischer 2022-04-27 16:38:57 UTC
Created attachment 134152 [details] [review]
Bug 29648: Holds queue - only sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 216 Katrin Fischer 2022-04-27 16:39:05 UTC
Created attachment 134153 [details] [review]
Bug 29648: Course reserve detail - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 217 Katrin Fischer 2022-04-27 16:39:12 UTC
Created attachment 134154 [details] [review]
Bug 29648: Course reserve list - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 218 Katrin Fischer 2022-04-27 16:39:19 UTC
Created attachment 134155 [details] [review]
Bug 29648: ILL - no change

No change expected here for ILL

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 219 Katrin Fischer 2022-04-27 16:39:26 UTC
Created attachment 134156 [details] [review]
Bug 29648: Patron accounting page - no sort

because of desc

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 220 Katrin Fischer 2022-04-27 16:39:34 UTC
Created attachment 134157 [details] [review]
Bug 29648: Patron page (PatronsPerPage) - no change

PatronsPerPage should be done on a separate bug report, not trivial

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 221 Katrin Fischer 2022-04-27 16:39:43 UTC
Created attachment 134158 [details] [review]
Bug 29648: Payments - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 222 Katrin Fischer 2022-04-27 16:39:51 UTC
Created attachment 134159 [details] [review]
Bug 29648: Checkout history - no sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 223 Katrin Fischer 2022-04-27 16:39:58 UTC
Created attachment 134160 [details] [review]
Bug 29648: patron list table - normal

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 224 Katrin Fischer 2022-04-27 16:40:07 UTC
Created attachment 134161 [details] [review]
Bug 29648: Item lost report - no change

hum, there is no sort on this table, so it's displayed like it's coming
from the controller, but perl code does not sort either.
This could be improved and we could make it configurable easily

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 225 Katrin Fischer 2022-04-27 16:40:15 UTC
Created attachment 134162 [details] [review]
Bug 29648: Subscription detail - no change

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 226 Katrin Fischer 2022-04-27 16:40:24 UTC
Created attachment 134163 [details] [review]
Bug 29648: Log viewer - no sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 227 Katrin Fischer 2022-04-27 16:40:31 UTC
Created attachment 134164 [details] [review]
Bug 29648: Holds history - no sort

because of desc

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 228 Katrin Fischer 2022-04-27 16:40:39 UTC
Created attachment 134165 [details] [review]
Bug 29648: Notice template - only sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 229 Katrin Fischer 2022-04-27 16:40:47 UTC
Created attachment 134166 [details] [review]
Bug 29648: Remove default sort order for detail

On the detail view the number of columns changed, we cannot use the
default sort order here.
It certainly can be done on a different way but I prefer to postpone it
for now and see later.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 230 Katrin Fischer 2022-04-27 16:40:54 UTC
Created attachment 134167 [details] [review]
Bug 29648: Upload tool - no sort

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 231 Katrin Fischer 2022-04-27 16:41:01 UTC
Created attachment 134168 [details] [review]
Bug 29648: Returns - no change

No change expected here, there is no sort and no paginate possible.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 232 Katrin Fischer 2022-04-27 16:41:10 UTC
Created attachment 134169 [details] [review]
Bug 29648: Fix occurrences of GetColumns

We could add the configuration to these tables as well, but let go first
but the others (read: feeling lazy right now).

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 233 Katrin Fischer 2022-04-27 16:41:18 UTC
Created attachment 134170 [details] [review]
Bug 29648: (QA follow-up) Minor POD fix

This just adds a top level set of POD headings to make the QA script
happy

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 234 Katrin Fischer 2022-04-27 16:41:29 UTC
Created attachment 134171 [details] [review]
Bug 29648: (QA follow-up) Remove NumSavedReports from .pref file

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 235 Fridolin Somers 2022-04-27 20:34:55 UTC
Created attachment 134194 [details] [review]
Bug 29648: (follow-up) Add missing raw filter
Comment 236 Fridolin Somers 2022-04-27 20:45:38 UTC
Great enhancement.
I push it asap to avoid more rebase.
Comment 237 Fridolin Somers 2022-04-27 20:48:24 UTC
Ah we should remove "actions" from default sort order.
My 2c
Comment 238 Fridolin Somers 2022-04-27 20:52:21 UTC
(In reply to Fridolin Somers from comment #237)
> Ah we should remove "actions" from default sort order.
> My 2c

And also "selection".

Using them does not break the table, ouf ;)
Comment 239 Fridolin Somers 2022-04-27 20:53:19 UTC
I've added to DBRev a print when preference was enabled :
  "NumSavedReports value '20' moved to table settings"
Comment 240 Fridolin Somers 2022-04-27 21:22:38 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄